Summary: DUREP - Grphic Report for Disk Usage
%define name e-smith-durep
Name: %{name}
%define version 1.0.1
%define release 3 
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Packager: Peter Schubert <psc@s-a-c-o.de>
URL: http://www.saco-support.de/SME
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 0.1-3
AutoReqProv: no
%description
DUREP is a  Report Generator that creates graphical Output for the "du" command 

%changelog
* Sun Aug 11 2002 Peter Schubert <psc@s-a-c-o.de> 1.0.1-03
- Autoupdate of display
- Fix in crontab template name
- extend ibay directory to /home/e-smith/files

* Sat Aug 10 2002 Peter Schubert <psc@s-a-c-o.de> 1.0.1-01
- a few fixes

* Fri Aug  9 2002 Peter Schubert <psc@s-a-c-o.de> 1.0.0-01
- First release

%prep

%setup
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1

%pre

%post
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/sbin/e-smith/expand-template /etc/crontab
/etc/e-smith/events/actions/restart-httpd-graceful
sed '/^\/var\/log\/squid\/access.log {/,/^}/s/.*/#&/' \
    /etc/logrotate.d/squid >/tmp/squid_logrotate.tmp
mv /tmp/squid_logrotate.tmp /etc/logrotate.d/squid
/usr/sbin/durep.daily >/dev/null

%preun

%postun
if [ "$1" = 0 ]; then
    /sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
    /sbin/e-smith/expand-template /etc/crontab
    /etc/e-smith/events/actions/restart-httpd-graceful
    sed '/^#\/var\/log\/squid\/access.log/,/^#}/s/^#\(.*\)/\1/' \
        /etc/logrotate.d/squid >/tmp/squid_logrotate.tmp
    mv /tmp/squid_logrotate.tmp /etc/logrotate.d/squid
fi

%build

%install
rm -rf $RPM_BUILD_ROOT

(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f e-smith-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist

%defattr(-,root,root)
